<?php
/*

   Copyright 2010 e-WebFace Networks

   Plugin Name: e-WebFace
Plugin URI: http://www.e-webface.com
Version: 1.0
Autor: e-WebFace Networks
Autor URL: http://e-WebFace.com/
Descrição: A e-Webface é um sistema de videoconferência pela web. Este plugin integra a e-Webface com o WordPress permitindo blogueiros criarem e gerenciarem salas de reuniões para interagir com seus leitores para mais informações sobre como configurar o servidor de e-Webface entre em http://www.e-webface.com

Versão 1.0 escrito por Renato Souza Gengo
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();
JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ewebfaceconferencing'.DS.'tables');
jimport( 'joomla.application.component.view' );
 
/**
 * Meetings View
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class MeetingsViewMeetings extends JView
{
    /**
     * Meetings view display method
     * @return void
     **/
    function display($tpl = null)
    {
		JToolBarHelper::title( JText::_( 'e-WebFace Conferencing' ), 'generic.png' );
					
        //Get data from the model
        $items =& $this->get( 'Data');
		
		//Gets the url and salt
		$row =& JTable::getInstance('settings', 'Table');
		$row->load(1);
		$row->name == 'salt' ? $salt = $row->varValue : $url = $row->varValue;
		$row->load(2);
		$row->name == 'salt' ? $salt = $row->varValue : $url = $row->varValue;
		
		
		if( $salt && $salt != '' && $url && $url != '' ){
			JToolBarHelper::deleteList();
			JToolBarHelper::addNewX();
		}

		
		$this->assignRef( 'salt', $salt );
		$this->assignRef( 'url', $url );
        $this->assignRef( 'items', $items );
 
        parent::display($tpl);
    }
}
